Skip to main content
POST
/
v1
/
video
/
black-detect
{
  "input": "https://example.com/video.mp4",
  "threshold": 0.1,
  "duration": 0.5
}
curl -X POST https://api.ringbee.dev/v1/video/black-detect \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "threshold=0.1" \
  -F "duration=0.5"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "threshold": 0.1,
  "duration": 0.5
}
curl -X POST https://api.ringbee.dev/v1/video/black-detect \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "threshold=0.1" \
  -F "duration=0.5"
ParamTypeDescription
thresholdnumberBlack pixel threshold (0-1, higher = more lenient)
durationnumberMinimum black frame duration in seconds

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

threshold
number

Black pixel threshold (0-1, higher = more lenient)

duration
number

Minimum black frame duration in seconds

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"